<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2023-12-01/jpcrp_rt_2023-12-01.xsd#rol_altLabel" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" />
  <link:roleRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#at1" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt2/role/label" />
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2023-12-01/jpcrp_rt_2023-12-01.xsd#rol_SegmentLabel" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/Segment/role/label" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_AraiYukoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">新居 勇子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_AraiYukoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">新居 勇子 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">連結範囲の変更による非支配持分の変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">連結範囲の変更による非支配持分の変動、持分変動計算書（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label" xlink:role="http://www.xbrl.org/2003/role/label">その他の包括利益を通じて公正価値で測定する資本性金融資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">その他の包括利益を通じて公正価値で測定する資本性金融資産、受取配当金（IFRS） [タイトル項目]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">期中に認識を中止した金融資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">期中に認識を中止した金融資産、その他の包括利益を通じて公正価値で測定する資本性金融資産、受取配当金（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">期末日現在で保有する金融資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">期末日現在で保有する金融資産、その他の包括利益を通じて公正価値で測定する資本性金融資産、受取配当金（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">藤岡 高広</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">藤岡 高広 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">有形固定資産及び無形資産売却益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">有形固定資産及び無形資産売却益、その他の収益（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GtoNaohideMember_label" xlink:role="http://www.xbrl.org/2003/role/label">後藤 尚英</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GtoNaohideMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">後藤 尚英 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">鋼(ハガネ)カンパニー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">鋼(ハガネ)カンパニー、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">その他の流動負債の増減額（△は減少）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">その他の流動負債の増減額（△は減少）、営業活動によるキャッシュ・フロー（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">有形固定資産及び無形資産の増加額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">有形固定資産及び無形資産の増加額（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">無形資産仮勘定</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">無形資産仮勘定、償却累計額及び減損損失累計額（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">無形資産仮勘定</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">無形資産仮勘定、取得原価（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">無形資産仮勘定</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">無形資産仮勘定（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">石井 直生</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">石井 直生 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">鍛(キタエル)カンパニー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">鍛(キタエル)カンパニー、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">熊澤 聡太郎</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">熊澤 聡太郎 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">有形固定資産及び無形資産除売却損</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">有形固定資産及び無形資産除売却損、その他の費用（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">雑品売却損</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">雑品売却損、その他の費用（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">中村 元志</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">中村 元志 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">圧縮記帳額に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">圧縮記帳額に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">小川 正路</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">小川 正路 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">小倉 克幸</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">小倉 克幸 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label" xlink:role="http://www.xbrl.org/2003/role/label">その他の項目</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">その他の項目（IFRS） [タイトル項目]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">有形固定資産の廃却による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">有形固定資産の廃却による支出、投資活動によるキャッシュ・フロー（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label" xlink:role="http://www.xbrl.org/2003/role/label">他の記載への参照</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">他の記載への参照、人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">スマートカンパニー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">スマートカンパニー、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">ステンレスカンパニー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ステンレスカンパニー、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">補助金及び助成金収入</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">補助金及び助成金収入、その他の収益（IFRS）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">安井 香一</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">安井 香一 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">横田 博史</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">横田 博史 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">FVOCI金融資産に係る純変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label_1" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt2/role/label">その他の包括利益を通じて公正価値で測定する金融資産に係る純変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">その他の包括利益を通じて公正価値で測定する負債性金融資産の純変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">純損益に振替えられる可能性のある項目</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">純損益に振替えられることのない項目</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">その他の包括利益を通じて公正価値で測定する資本性金融資産の純変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_OperatingProfitLossIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/Segment/role/label">セグメント利益又は損失(△)</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_PackingAndTransportationExpensesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">運賃及び荷造費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_ProfitLossIFRS_label" xlink:role="http://www.xbrl.org/2003/role/totalLabel">合計</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">ソフトウェア</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_SoftwareAcquisitionCostIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">ソフトウェア</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_SoftwareIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">ソフトウェア</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_TotalTransactionsWithOwnersIFRS_label" xlink:role="http://www.xbrl.org/2003/role/totalLabel">所有者との取引額等合計</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpigp_cor_TransactionsWithOwnersIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">所有者との取引額等</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:label="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:label="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xlink:label="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_OperatingProfitLossIFRS" xlink:label="jpigp_cor_OperatingProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_PackingAndTransportationExpensesIFRS" xlink:label="jpigp_cor_PackingAndTransportationExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_ProfitLossIFRS" xlink:label="jpigp_cor_ProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:label="jpigp_cor_SoftwareAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_SoftwareIFRS" xlink:label="jpigp_cor_SoftwareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:label="jpigp_cor_TotalTransactionsWithOwnersIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_TransactionsWithOwnersIFRSAbstract" xlink:label="jpigp_cor_TransactionsWithOwnersIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_AraiYukoMember" xlink:label="jpcrp030000-asr_E01234-000_AraiYukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" xlink:label="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xlink:label="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" xlink:label="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_GtoNaohideMember" xlink:label="jpcrp030000-asr_E01234-000_GtoNaohideMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" xlink:label="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" xlink:label="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IshiiNaokiMember" xlink:label="jpcrp030000-asr_E01234-000_IshiiNaokiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_KumazawaSotaroMember" xlink:label="jpcrp030000-asr_E01234-000_KumazawaSotaroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" xlink:label="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" xlink:label="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" xlink:label="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" xlink:label="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_OgawaMasamichiMember" xlink:label="jpcrp030000-asr_E01234-000_OgawaMasamichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" xlink:label="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_OthersIFRSAbstract" xlink:label="jpcrp030000-asr_E01234-000_OthersIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" xlink:label="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" xlink:label="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_YasuiKoichiMember" xlink:label="jpcrp030000-asr_E01234-000_YasuiKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_YokotaHirohumiMember" xlink:label="jpcrp030000-asr_E01234-000_YokotaHirohumiMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_AraiYukoMember" xlink:to="jpcrp030000-asr_E01234-000_AraiYukoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_AraiYukoMember" xlink:to="jpcrp030000-asr_E01234-000_AraiYukoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" xlink:to="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" xlink:to="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" xlink:to="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" xlink:to="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GtoNaohideMember" xlink:to="jpcrp030000-asr_E01234-000_GtoNaohideMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GtoNaohideMember" xlink:to="jpcrp030000-asr_E01234-000_GtoNaohideMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IshiiNaokiMember" xlink:to="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IshiiNaokiMember" xlink:to="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KumazawaSotaroMember" xlink:to="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KumazawaSotaroMember" xlink:to="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" xlink:to="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" xlink:to="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" xlink:to="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" xlink:to="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OgawaMasamichiMember" xlink:to="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OgawaMasamichiMember" xlink:to="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" xlink:to="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" xlink:to="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OthersIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OthersIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" xlink:to="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" xlink:to="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YasuiKoichiMember" xlink:to="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YasuiKoichiMember" xlink:to="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YokotaHirohumiMember" xlink:to="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YokotaHirohumiMember" xlink:to="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" xlink:to="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" xlink:to="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xlink:to="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:to="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:to="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xlink:to="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_OperatingProfitLossIFRS" xlink:to="jpigp_cor_OperatingProfitLossIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_PackingAndTransportationExpensesIFRS" xlink:to="jpigp_cor_PackingAndTransportationExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ProfitLossIFRS" xlink:to="jpigp_cor_ProfitLossIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:to="jpigp_cor_SoftwareAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareIFRS" xlink:to="jpigp_cor_SoftwareIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:to="jpigp_cor_TotalTransactionsWithOwnersIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_TransactionsWithOwnersIFRSAbstract" xlink:to="jpigp_cor_TransactionsWithOwnersIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>